classification
Title: Add _PyType_GetModuleByDef
Type: enhancement Stage: resolved
Components: C API Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: erlendaasland, petr.viktorin, shihai1991
Priority: normal Keywords: patch

Created on 2020-10-20 20:35 by petr.viktorin, last changed 2020-11-03 22:30 by petr.viktorin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 22835 merged petr.viktorin, 2020-10-20 20:36
Messages (1)
msg379163 - (view) Author: Petr Viktorin (petr.viktorin) * (Python committer) Date: 2020-10-20 20:35
I would like to add an internal _PyType_GetModuleByDef function to unblock further work on isolating extension modules, as discussed here: https://mail.python.org/archives/list/capi-sig@python.org/thread/T3P2QNLNLBRFHWSKYSTPMVEIL2EEKFJU/
History
Date User Action Args
2020-11-03 22:30:44petr.viktorinsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-11-03 19:19:47erlendaaslandsetnosy: + erlendaasland
2020-10-31 04:38:07shihai1991setnosy: + shihai1991
2020-10-20 20:36:38petr.viktorinsetkeywords: + patch
stage: patch review
pull_requests: + pull_request21789
2020-10-20 20:35:51petr.viktorinsettype: enhancement
components: + C API
versions: + Python 3.10
2020-10-20 20:35:05petr.viktorincreate